petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectSetType

Sets the object type of any PetscObject.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSetType(PetscObject obj, const char type[])

Not Collective Many br

### Input Parameters

| obj | - any PETSc object, for example a Vec, Mat or KSP. Many brThus must be cast with a (PetscObject), for example, Many brPetscObjectGetType((PetscObject)mat,&type); Many br
| type | - the object type Many br

Note: This does not currently work since we need to dispatch by type. Many br

Many br

Location:src/sys/objects/gtype.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages